package com.zehong.system.mapper.train;

import com.zehong.system.domain.train.TrainCourseStat;
import com.zehong.system.domain.train.TrainCourseStatDetail;

import java.util.List;

/**
 * @author geng
 * 培训课程统计
 */
public interface TTrainCourseStatMapper {

    /**
     * 获取培训统计查询
     * @param trainCourseStat 统计查询参数
     * @return
     */
    List<TrainCourseStat> getTrainCourseStatData(TrainCourseStat trainCourseStat);

    /**
     * 获取培训统计详情
     * @param courseId 培训id
     * @return
     */
    List<TrainCourseStatDetail> getTrainCourseStatDetailData(Long courseId);
}
